Package org.springframework.aop

# Interface TargetClassAware

All Known Subinterfaces:
  `Advised`, `TargetSource`

All Known Implementing Classes:
  `AbstractBeanFactoryBasedTargetSource`, `AbstractLazyCreationTargetSource`, `AbstractPoolingTargetSource`, `AbstractPrototypeBasedTargetSource`, `AbstractRefreshableTargetSource`, `AdvisedSupport`, `AspectJProxyFactory`, `BeanFactoryRefreshableTargetSource`, `CommonsPool2TargetSource`, `EmptyTargetSource`, `HotSwappableTargetSource`, `LazyInitTargetSource`, `PrototypeTargetSource`, `ProxyCreatorSupport`, `ProxyFactory`, `ProxyFactoryBean`, `SimpleBeanTargetSource`, `SingletonTargetSource`, `ThreadLocalTargetSource`

public interface TargetClassAware
Minimal interface for exposing the target class behind a proxy.

Implemented by AOP proxy objects and proxy factories (via `Advised`) as well as by `TargetSources`.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  - `AopUtils.getTargetClass(Object)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getTargetClass()`
Return the target class behind the implementing object (typically a proxy configuration or an actual proxy).

## Method Details

### getTargetClass

@Nullable Class<?> getTargetClass()
Return the target class behind the implementing object (typically a proxy configuration or an actual proxy).

Returns:
  the target Class, or `null` if not known